Package org.apache.felix.http.base.internal.runtime.dto

## Class FilterDTOBuilder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.FilterDTOBuilder

    public final class FilterDTOBuilder
    extends Object

### Constructor Summary

Constructors
`FilterDTOBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static @NotNull org.osgi.service.http.runtime.dto.FilterDTO[]` `build​(@NotNull FilterHandler[] handlers)` Build an array of filter DTOs from a filter handler array
`static @NotNull org.osgi.service.http.runtime.dto.FilterDTO` `build​(@NotNull FilterHandler handler, int reason)` Build a filter DTO from a filter handler
`static @NotNull org.osgi.service.http.runtime.dto.FilterDTO` `build​(@NotNull FilterInfo info, int reason)` Build a filter DTO from a filter info

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterDTOBuilder

    public FilterDTOBuilder()

### Method Detail

#### build

    @NotNull
    public static @NotNull org.osgi.service.http.runtime.dto.FilterDTO[] build​(@NotNull
                                                                               @NotNull FilterHandler[] handlers)

Build an array of filter DTOs from a filter handler array

Parameters:
  `handlers` - The filter handler array
Returns:
  The filter DTO array

#### build

    @NotNull
    public static @NotNull org.osgi.service.http.runtime.dto.FilterDTO build​(@NotNull
                                                                             @NotNull FilterHandler handler,
                                                                             int reason)

Build a filter DTO from a filter handler

Parameters:
  `handler` - The filter handler
Returns:
  A filter DTO

#### build

    @NotNull
    public static @NotNull org.osgi.service.http.runtime.dto.FilterDTO build​(@NotNull
                                                                             @NotNull FilterInfo info,
                                                                             int reason)

Build a filter DTO from a filter info

Parameters:
  `info` - The filter info
Returns:
  A filter DTO